Bug 1470550 - hot unplug of vNIC failed when vNIC use queues
hot unplug of vNIC failed when vNIC use queues
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: vdsm (Show other bugs)
x86_64 Linux
high Severity high
: ovirt-3.6.12
: ---
Assigned To: Edward Haas
Michael Burman
: Automation, Regression, ZStream
Depends On:
  Show dependency treegraph
Reported: 2017-07-13 03:46 EDT by Meni Yakove
Modified: 2017-08-13 05:21 EDT (History)
10 users (show)

See Also:
Fixed In Version: v4.17.43
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2017-08-13 05:21:40 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: Network
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
vdsm, supervdsm and engine logs (1.36 MB, application/zip)
2017-07-13 03:46 EDT, Meni Yakove
no flags Details

External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 79398 ovirt-3.6 MERGED virt net: Interface default driver name set to 'vhost' 2017-07-13 10:48 EDT

  None (edit)
Description Meni Yakove 2017-07-13 03:46:35 EDT
Created attachment 1297444 [details]
vdsm, supervdsm and engine logs

Description of problem:
When trying to hot unplug vNIC that use queues the operation fails with error:
jsonrpc.Executor/6::ERROR::2017-07-13 10:14:31,966::vm::2347::virt.vm::(hotunplugNic) vmId=`c4075e4c-581f-44d1-a271-cb078ee1eee3`::Hotunplug failed
Traceback (most recent call last):
  File "/usr/share/vdsm/virt/vm.py", line 2338, in hotunplugNic
  File "/usr/share/vdsm/virt/virdomain.py", line 68, in f
    ret = attr(*args, **kwargs)
  File "/usr/lib/python2.7/site-packages/vdsm/libvirtconnection.py", line 124, in wrapper
    ret = f(*args, **kwargs)
  File "/usr/lib/python2.7/site-packages/vdsm/utils.py", line 1313, in wrapper
    return func(inst, *args, **kwargs)
  File "/usr/lib64/python2.7/site-packages/libvirt.py", line 1147, in detachDevice
    if ret == -1: raise libvirtError ('virDomainDetachDevice() failed', dom=self)
libvirtError: unsupported configuration: Unknown interface <driver name=''> has been specified

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce: 
1. Start VM with vNIC that use queues
2. Try to host unplug the vNIC

Additional info:
jsonrpc.Executor/6::INFO::2017-07-13 10:14:31,943::vm::2316::virt.vm::(hotunplugNic) vmId=`c4075e4c-581f-44d1-a271-cb078ee1eee3`::Hotunplug NIC xml: <interface type="bridge">
        <address bus="0x00" domain="0x0000" function="0x0" slot="0x09" type="pci"/>
        <mac address="00:1a:4a:16:88:90"/>
        <model type="virtio"/>
        <source bridge="ovirtmgmt"/>
        <filterref filter="vdsm-no-mac-spoofing"/>
        <link state="up"/>
        <driver name="" queues="5"/>
Comment 1 Edward Haas 2017-07-13 09:14:26 EDT
This is exactly the same issue reported in https://bugzilla.redhat.com/show_bug.cgi?id=1359520

The regression is due to the use of a new libvirt version.
We probably have multiple such cases.
Comment 2 rhev-integ 2017-07-18 11:57:26 EDT
WARN: Bug status wasn't changed from MODIFIED to ON_QA due to the following reason:

[Found non-acked flags: '{'rhevm-3.6.z': '?'}', ]

For more info please contact: rhv-devops@redhat.comINFO: Bug status wasn't changed from MODIFIED to ON_QA due to the following reason:

[Found non-acked flags: '{'rhevm-3.6.z': '?'}', ]

For more info please contact: rhv-devops@redhat.com
Comment 3 Michael Burman 2017-07-20 09:28:56 EDT
Verified on - vdsm-4.17.43-1.el7ev.noarch
Comment 4 Eyal Edri 2017-08-13 05:21:40 EDT
included in the last 3.6.12 release. closing.

Note You need to log in before you can comment on or make changes to this bug.